%global rel 3

Name:           openstack-utils
Version:        2013.2
Release:        %{rel}%{?dist}
Summary:        Helper utilities for OpenStack services
URL:            https://github.com/redhat-openstack/openstack-utils
Source0:        https://github.com/redhat-openstack/%{name}/archive/%{version}-%{rel}.tar.gz#/%{name}-%{version}-%{rel}.tar.gz
License:        ASL 2.0
BuildArch:      noarch

Requires:       crudini

%description
Utilities to aid the setup and configuration of OpenStack packages.

%prep
%setup -q -n %{name}-%{version}-%{rel}

# Remove in preference for packstack
rm utils/openstack-demo-install
rm man/openstack-demo-install.1

%build

%install
mkdir -p %{buildroot}%{_bindir}/
install -p -m 755 -t %{buildroot}%{_bindir}/ utils/*
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 man/*.1 %{buildroot}%{_mandir}/man1/

%files
%doc LICENSE NEWS
%{_bindir}/*
%{_mandir}/man1/*.1.gz

%changelog
* Thu Jan 09 2014 Pádraig Brady <pbrady@redhat.com> - 2013.2-3
- Avoid permissions issues with openstack-db 'sync' and 'init'

* Wed Nov 20 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-2
- Improve openstack-status output
- Add a new openstack-service command to to control enabled services
- Add an --update option to openstack-db to update a service's database
- Add support for heat and neutron to openstack-db

* Tue Sep 17 2013 Pádraig Brady <pbrady@redhat.com> 2013.2-1
- Improve reporting of services in openstack-status
- Add heat and ceilometer services to those reported
- Prompt the user if switching databases with openstack-db

* Wed Jul 31 2013 Lon Hohberger <lon@redhat.com> 2013.1-8.2
- Fix Requires for crudini instead of python-iniparse

* Thu Jun 06 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-8.1
- Avoid displaying problematic httpd status #971164

* Fri May 24 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-8
- Display quantum services correctly #966782

* Wed Apr 24 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-7
- Fix openstack-db to update keystone password correctly #949276

* Tue Mar 21 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-2.2
- Improve openstack-db --drop to work in all cases #916567

* Wed Feb 27 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-2
- Update from upstream to improve openstack-db #912682

* Tue Feb 12 2013 Pádraig Brady <pbrady@redhat.com> 2012.2-6.1
- Remove openstack-demo-install (use packstack instead) #906298

* Thu Nov 08 2012 Alan Pevec <apevec@redhat.com> 2012.2-6
- Disable Quantum rhbz#873823

* Wed Oct 10 2012 Pádraig Brady <P@draigBrady.com> 2012.2-5
- Update from upstream to support folsom packages

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.1-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 22 2012 Pádraig Brady <P@draigBrady.com> 2012.1-2
- Improve validation done by openstack-config and openstack-db
- Fix openstack-demo-install

* Mon May 21 2012 Alan Pevec <apevec@redhat.com> 2012.1-1.1
- add missing dependency for openstack-config

* Wed Apr 11 2012 Pádraig Brady <P@draigBrady.com> 2012.1-1
- Initial release supporting the Essex OpenStack release
